## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XercesWrapperTypes.hpp File Reference

Include dependency graph for XercesWrapperTypes.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Defines

- #define XERCESWRAPPERTYPES_HEADER_GUARD_1357924680

## Typedefs

- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  DOMCharacterData DOMCharacterDataType
- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  DOMComment DOMCommentType
- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  DOMCDATASection DOMCDATASectionType
- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  DOMDocumentType DOMDocumentType_Type
- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  DOMDocument DOMDocument_Type
- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  DOMDocumentFragment DOMDocumentFragmentType
- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  DOMImplementation DOMImplementationType
- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  DOMElement DOMElementType
- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  DOMEntity DOMEntityType
- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  DOMEntityReference DOMEntityReferenceType
- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  DOMNode DOMNodeType
- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  DOMText DOMTextType
- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  DOMNamedNodeMap DOMNamedNodeMapType
- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  DOMNodeList DOMNodeListType
- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  DOMNotation DOMNotationType
- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  DOMProcessingInstruction DOMProcessingInstructionType
- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  DOMException DOMExceptionType
- typedef XMLSize_t XMLSizeType

## Variables

- XALAN_CPP_NAMESPACE_BEGIN
  typedef XERCES_CPP_NAMESPACE_QUALIFIER
  DOMAttr DOMAttrType

## Define Documentation

#define XERCESWRAPPERTYPES_HEADER_GUARD_1357924680

## Typedef Documentation

typedef XERCES_CPP_NAMESPACE_QUALIFIER DOMCDATASection DOMCDATASectionType

typedef XERCES_CPP_NAMESPACE_QUALIFIER DOMCharacterData DOMCharacterDataType

typedef XERCES_CPP_NAMESPACE_QUALIFIER DOMComment DOMCommentType

typedef XERCES_CPP_NAMESPACE_QUALIFIER DOMDocument DOMDocument_Type

typedef XERCES_CPP_NAMESPACE_QUALIFIER DOMDocumentFragment DOMDocumentFragmentType

typedef XERCES_CPP_NAMESPACE_QUALIFIER DOMDocumentType DOMDocumentType_Type

typedef XERCES_CPP_NAMESPACE_QUALIFIER DOMElement DOMElementType

typedef XERCES_CPP_NAMESPACE_QUALIFIER DOMEntityReference DOMEntityReferenceType

typedef XERCES_CPP_NAMESPACE_QUALIFIER DOMEntity DOMEntityType

typedef XERCES_CPP_NAMESPACE_QUALIFIER DOMException DOMExceptionType

typedef XERCES_CPP_NAMESPACE_QUALIFIER DOMImplementation DOMImplementationType

typedef XERCES_CPP_NAMESPACE_QUALIFIER DOMNamedNodeMap DOMNamedNodeMapType

typedef XERCES_CPP_NAMESPACE_QUALIFIER DOMNodeList DOMNodeListType

typedef XERCES_CPP_NAMESPACE_QUALIFIER DOMNode DOMNodeType

typedef XERCES_CPP_NAMESPACE_QUALIFIER DOMNotation DOMNotationType

typedef XERCES_CPP_NAMESPACE_QUALIFIER DOMProcessingInstruction DOMProcessingInstructionType

typedef XERCES_CPP_NAMESPACE_QUALIFIER DOMText DOMTextType

typedef XMLSize_t XMLSizeType

## Variable Documentation

XALAN_CPP_NAMESPACE_BEGIN typedef XERCES_CPP_NAMESPACE_QUALIFIER DOMAttr DOMAttrType

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.